Subject: [Isis-wg] ISIS and OSPF

From: "Manav Bhatia" <[email-masked]>
Date: Mon, 6 Aug 2001 09:53:58 +0530

Hi,
OSPF and ISIS are both very similar in a lot of respects and i wanted to
know as to which protocol scales better when deployed as an IGP ?
Secondly, with the coming of IPv6 which protocol holds a better future. If
we are using OSPF then we will have to write a completely new protocol and
our IPv4/IPv6 transition router running a dual stack will have to run both
the copies of OSPF .. This can be avoided with ISIS wherein we have 20 byte
address field length.

Any help on this would be very much appreciated.

Thanks and Regards,
Manav

"C is not a big language, and is not well served by a big book." -- K&R2

_________________________________________________________
Do You Yahoo!?
Get your free @yahoo.com address at http://mail.yahoo.com

_______________________________________________
Isis-wg mailing list  -  [email-masked]
http://external.juniper.net/mailman/listinfo/isis-wg

---

From: "Jeff Learman" <[email-masked]>
Date: Mon, 6 Aug 2001 08:51:21 -0400

----- Original Message ----- 
From: Manav Bhatia <[email-masked]>
To: <[email-masked]>
Sent: Monday, August 06, 2001 12:23 AM
Subject: [Isis-wg] ISIS and OSPF

> the copies of OSPF .. This can be avoided with ISIS wherein we have 20 byte

I don't know enough about OSPF to answer your questions.  However,
the address length of IS-IS isn't much of a help because it is always
an OSI address (NSAP), not an IP address, and every router that is operating
IS-IS has an NSAP.  IPV6 can be supported in IS-IS for the same reasons that
IPV4 could be -- because new reachability information can be added in the form
of new TLV-encoded options.  I would guess that this is equally true for
OSPF, although it may be necessary to continue to give each OSPF router
an IPV4 address with certain uniqueness requirements.

Regards,
Jeff

---

From: "Manav Bhatia" <[email-masked]>
Date: Mon, 6 Aug 2001 18:51:05 +0530

Thanks Jeff for the reply !
> an IPV4 address with certain uniqueness requirements.
But the very reason why IPv6 is coming into picture is the paucity of IPv4
addresses. So if OSPF has to support unique IPv4 addresses then how can it
work in an IPv6 environment ?
Secondly, in the present scenario (IPv4) which is considreded as a better
IGP .. in terms of scalability ?

Regards,
Manav

---

From: Jeff Learman <[email-masked]>
Date: Mon, 06 Aug 2001 10:08:03 -0400

>work in an IPv6 environment ?

First, I'm making a guess about OSPF.  Let's wait and see what someone
with more OSPF knowledge says.  Second, there will be many more end
systems than routers, so if only routers have IPV4 addresses, then
there may be an order of magnitude or two of growth before the problem
becomes critical again.  Also, I said that there were uniqueness
requirements, but I don't know precisely what these uniqueness
requirements are.  It is likely that routers belonging to one
AS can use local IP addresses that are unique only within that AS.

>IGP .. in terms of scalability ?

Can't help you there!  Studies that I have done with IS-IS indicate
that it is surprisingly scalable in terms of bandwidth usage, even
with relatively unreliable routers with short MTBFs (like days!).
The practical limit of IS-IS is probably related to its two-level
hierarchy rather than N-level hierarchy.  Radia Perlman has ideas
on how it could be extended to support that, but so far there is
little interest.  Evidently the scalability limits of IS-IS have not
been reached, or else those who run IS-IS and have scalability
issues are not making themselves heard on this forum.

The biggest problem with scalability will probably be how long it
takes to stabilize after a topology change.  The greater the span
of the sub-domain (area or routing domain), the greater the time.
Multi-level IS-IS could be used to improve this, in hierarchical
topologies that could take advantage of it.

Regards,
Jeff

---

From: Alex Zinin <[email-masked]>
Date: Tue, 7 Aug 2001 02:41:29 +0100

Manav,

Regarding IPv6 support in OSPF, we have RFC2740 (so-called OSPFv3)
for this purpose. There, each router needs to be assigned a unique
32-bit RID, but this does not mean that each router needs a unique
IPv4 address. RID is just an unsigned integer with no addressing
semantic.

Regarding the scalability comparison, you'll have to ask the vendor
you're using, as it depends on the actual implementations rather than
the properties of the protocols.

-- 
Alex Zinin

---

From: "Swati Rastogi" <[email-masked]>
Date: Tue, 7 Aug 2001 07:57:37 +0530

Hi Alex,
Would this imply that OSPF is "as much ready" as ISIS for IPv6. If the IGP
being used is OSPF then we will have to run two copies on the dual IP stack
transition router ..but  as i understood with ISIS we can work with a single
copy of IGP running on the box.

If we run two instances of OSPF then we face the problems of resource
struggle, processor overheads, etc.

What I always thought was that ISIS might prove handy in such a situation.

Regards,
Swati Rastogi

---

From: Alex Zinin <[email-masked]>
Date: Tue, 7 Aug 2001 11:25:46 +0100

Swati,

> Hi Alex,
> Would this imply that OSPF is "as much ready" as ISIS for IPv6.

Shoot higher, OSPFv3 is already deployed.

> If the IGP
> transition router ..

Yes, if you need the same box to route both IPv4 and IPv6, you'll
have to have OSPFv2 and OSPFv3 running on it.

> but  as i understood with ISIS we can work with a single

Correct.

> struggle, processor overheads, etc.

For some reason, this does not scare me much.
Routers already run multiple instances of an IGP. Also, think
about an IGP running together with BGP. This does not mean,
however, that I do not see the difference between one process vs
2 processes.

> What I always thought was that ISIS might prove handy in such a situation.

The fact that ISIS uses L2 as the transport has its pros and its cons.
One of its beauties is that the basic mechanisms (interface, neighbor
LSDB maintenance, etc.) are completely independent from the L3
semantics. Same beauty can byte you sometimes though, but there ain't
no such thing as a free lunch. :)

Alex.